abci_query
curl --request GET \
--url https://rpc.cosmos.directory/cosmoshub/abci_queryimport requests
url = "https://rpc.cosmos.directory/cosmoshub/abci_query"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rpc.cosmos.directory/cosmoshub/abci_query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "",
"result": {
"response": {
"log": "exists",
"height": "0",
"proof": "010114FED0DAD959F36091AD761C922ABA3CBF1D8349990101020103011406AA2262E2F448242DF2C2607C3CDC705313EE3B0001149D16177BC71E445476174622EA559715C293740C",
"value": "61626364",
"key": "61626364",
"index": "-1",
"code": "0"
}
},
"id": 0,
"jsonrpc": "2.0"
}{
"id": 0,
"jsonrpc": "2.0",
"error": "Description of failure"
}ABCI
abci_query
Query the application for some information.
Query the application for some information.
GET
/
abci_query
abci_query
Query Parameters
Path to the data ("/a/b/c")
Example:
"\"/a/b/c\""
Data
Example:
"IHAVENOIDEA"
Height (0 means latest)
Example:
1
Include proofs of the transactions inclusion in the block
Example:
true
Was this page helpful?
⌘I